You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     jjac...@gmail.com
Last committer: a...@freebsd.org
Ident:          $FreeBSD: head/databases/py-fdb/Makefile 328906 2013-09-30 
23:44:57Z acm $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-12-13_10h05m14s/logs/py27-fdb-1.1_1.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-12-13_10h05m14s
Log:

====>> Building databases/py-fdb
build started at Sat Dec 14 04:10:02 UTC 2013
port directory: /usr/ports/databases/py-fdb
building for: FreeBSD head-i386-default-job-08 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 i386
maintained by: jjac...@gmail.com
Makefile ident:      $FreeBSD: head/databases/py-fdb/Makefile 328906 2013-09-30 
23:44:57Z acm $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=49604
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=py27-fdb-1.1_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" PYTHON="/usr/local/bin/python2.7" TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES LDSHARED="cc -shared" 
PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/fdb
DOCSDIR=/usr/local/share/doc/fdb
EXAMPLESDIR=/usr/local/share/examples/fdb
WWWDIR=/usr/local/www/fdb
ETCDIR=/usr/local/etc/fdb
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for py27-fdb-1.1_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-fdb-1.1_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.3.txz
Installing pkg-1.2.3... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of py27-fdb-1.1_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by py27-fdb-1.1_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by py27-fdb-1.1_1 for building
=> SHA256 Checksum OK for fdb-1.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by py27-fdb-1.1_1 for building
===>  Extracting for py27-fdb-1.1_1
=> SHA256 Checksum OK for fdb-1.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-fdb-1.1_1

Please make sure that your firebird-client installation
is built with command make -DPACKAGE_BUILDING.
The build of py-fdb will fail otherwise.

===========================================================================
=======================<phase: build-depends  >============================
===>   py27-fdb-1.1_1 depends on file: /usr/local/bin/easy_install-2.7 - not 
found
===>    Verifying install for /usr/local/bin/easy_install-2.7 in 
/usr/ports/devel/py-setuptools
===>   Installing existing package /packages/All/py27-setuptools-1.1.7_1.txz
Installing py27-setuptools-1.1.7_1...Installing gettext-0.18.3.1... done
Installing python27-2.7.6_1... done
Installing python2-2_1... done
Installing python-2.7_1,2... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of py27-fdb-1.1_1
===>   py27-fdb-1.1_1 depends on file: /usr/local/bin/python2.7 - found
===>   py27-fdb-1.1_1 depends on executable: python - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-fdb-1.1_1 depends on shared library: fbclient - not found
===>    Verifying install for fbclient in /usr/ports/databases/firebird25-client
===>   Installing existing package /packages/All/firebird25-client-2.5.2_2.txz
Installing firebird25-client-2.5.2_2...Installing icu-50.1.2... done
 done
===>   Returning to build of py27-fdb-1.1_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py27-fdb-1.1_1
Traceback (most recent call last):
  File "setup.py", line 7, in <module>
    from fdb import __version__
  File "/wrkdirs/usr/ports/databases/py-fdb/work/fdb-1.1/fdb/__init__.py", line 
23, in <module>
    from fdb.fbcore import *
  File "/wrkdirs/usr/ports/databases/py-fdb/work/fdb-1.1/fdb/fbcore.py", line 
26, in <module>
    from . import ibase
  File "/wrkdirs/usr/ports/databases/py-fdb/work/fdb-1.1/fdb/ibase.py", line 
45, in <module>
    fb_library = CDLL(fb_library_name)
  File "/usr/local/lib/python2.7/ctypes/__init__.py", line 365, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: /usr/local/lib/libfbclient.so.2: Undefined symbol 
"_ZTVN10__cxxabiv117__class_type_infoE"
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/py-fdb
===>  Cleaning for py27-fdb-1.1_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to